# WeDooGift

3 end points :

* POST : localhost:8080/authenticate
    * {
      "username": "mohammed",
      "password": "el jouhari"
      }
    * => generates a JWT token

=> Use the Token in the Authorization header to hit in the API

* POST : localhost:8080/distribute
    * {
      "walletType":"GIFT / FOOD",
      "companyId":2,
      "userId":2,
      "amount":750 }


* GET : localhost:8080/user/1/balance

I haven't created DTOs with mappers !!!